Attribute VB_Name = "mdlDatabase"
Option Explicit

Public WS As Workspace
Public DB As Database
Public UserRS As Recordset

Sub LoadDatabase()
    Set WS = DBEngine.Workspaces(0)
    Set DB = WS.OpenDatabase(App.Path & "\ocsr.dat", 0, False)
    
    Err.Clear
    Set UserRS = DB.TableDefs("Servers").OpenRecordset(dbOpenTable)
    If Err.Number > 0 Then
        CreateServersTable
        Set UserRS = DB.TableDefs("Servers").OpenRecordset(dbOpenTable)
    End If
        Err.Clear
    On Error GoTo 0
    UserRS.Index = "User"
End Sub

Sub CreateServersTable()
    Dim A As Long
    Dim Td As TableDef
    Dim newfield As Field
    
    'Create Servers Table
    Set Td = DB.CreateTableDef("Servers")
    'Create Fields
    'Account Data
    Set newfield = Td.CreateField("User", dbText, 15)
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("Password", dbText, 15)
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("Name", dbText, 50)
    newfield.AllowZeroLength = True
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("Description", dbText, 250)
    newfield.AllowZeroLength = True
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("UpdateURL", dbText, 250)
    newfield.AllowZeroLength = True
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("Official", dbBoolean)
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("Date", dbByte)
    newfield.AllowZeroLength = True
    Td.Fields.Append newfield
    Set newfield = Td.CreateField("Time", dbByte)
    newfield.AllowZeroLength = True
    Td.Fields.Append newfield
    
    'Append Accounts Table
    DB.TableDefs.Append Td
End Sub

Sub CloseDatabase()
    UserRS.Close
    DB.Close
    WS.Close
End Sub

